Bug 17092 - rpm --rebuild perl-5.6.0-9.src.rpm fails on RedHat 6.2
rpm --rebuild perl-5.6.0-9.src.rpm fails on RedHat 6.2
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: perl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-29 18:16 EDT by Norm Proffitt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-30 19:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norm Proffitt 2000-08-29 18:16:14 EDT
Attempting to rebuild the source rpm on a RH 6.2 system will all updates
and security fixes as of Aug 29, 2000 fails.
Comment 1 Nalin Dahyabhai 2000-08-30 14:59:50 EDT
The package is built for Pinstripe.  How exactly does the rebuild fail?
Comment 2 Norm Proffitt 2000-08-30 19:26:22 EDT
The first error is during the perl's "make test" process.  It looks like "make
test" started but is having problems, the following messages appear

"Testing alignment requirements for U32... u32align.c:9: EXTERN.h: No such file
or directory" 
"u32align.c:10: perl.h: No such file or directory" 
"Can't compile test program"

The Digest::MD2/SHA1/MD5 build process is started and it looks like it's
successful.  The next problem is after a whole lot of cp's & chmod's messages. 
The message is 

"WARNING: You've never run 'make test'!!! (Installing anyway.)"

The next error is after what looks like the building of the man pages and a line
saying "+ make all -f -"  The error message is 

"package gcc is not installed"  

The same message appears again after "scsi/sg.h -> scsi/sg.ph".  The next error
is a perl compiler error from the command 

"/usr/src/redhat/BUILD/per-5.6.0/perl -V:installarchlib".

The error message is 

"Can't locate Config.pm in @INC" followed by the contents of @INC.  

The next error is after the Digest::MD5 install.  That error is 

"## Differing versions of ./MD5.pm found. You might like to 
rm /usr/lib/perl5/site_perl/5.005/i386-linux/MD5.pm"

And finally the last error message is

"Files not found by glob: /var/tmp/per-root/usr/man/*/*"

Thanks
Comment 3 Nalin Dahyabhai 2000-08-31 13:23:36 EDT
Many of the configuration options and paths have been tweaked in ways that
aren't going to be fixable with macros in the .spec file (FHS path
modifications, glibc features, compiler flags), so it would definitely require
modifications to build it properly on 6.2.  Because 5.6.0 requires rebuilding
almost all (if not all) modules that are to be installed, it's unlikely that
we'll provide 5.6.0 for 6.2 as a supported upgrade.
Comment 4 Norm Proffitt 2000-09-01 13:23:45 EDT
Okay, I understand that I'm going to have to wait for Pinstripe or build my own
perl package and modules.  Do you have any idea how long I will need to wait for
Pinstripe?
Comment 5 Nalin Dahyabhai 2000-09-01 14:46:22 EDT
Pinstripe is the public beta for our upcoming release, and is already available
at ftp://ftp.redhat.com/pub/redhat/beta/.  Some of the bugs reported against it
are already fixed in the Raw Hide tree (ftp://ftp.redhat.com/pub/rawhide/), and
others are being fixed as we find them and time to fix them.

Note You need to log in before you can comment on or make changes to this bug.